> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/sub_affiliate_approval/get_sub_affiliate_approval.md).

# get sub affiliate approval

| HTTP method | Endpoint                             |
| ----------- | ------------------------------------ |
| **GET**     | **/aff/v1/sub\_affiliate\_approval** |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field      | Type    | Description                                                                                                 |
| ---------- | ------- | ----------------------------------------------------------------------------------------------------------- |
| id         | integer | The id from API database backend.                                                                           |
| offer\_id  | string  | offer ID or All Offers                                                                                      |
| type       | integer | 1 means source ID 2 means aff\_sub1 3 means aff\_sub2 4 means aff\_sub3 5 means aff\_sub4 6 means aff\_sub5 |
| value      | string  | the exact sub affiliate value                                                                               |
| list\_type | integer | 1 means Blacklist 2 means Whitelist                                                                         |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/sub_affiliate_approval>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/sub_affiliate_approval>

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
    {
    "code": 0,
    "message": "Success",
    "data": {
        "rowset": [
            {
                "id": 40,
                "offer_id": "All Offers",
                "type": 2,
                "value": "aff_sub1",
                "list_type": 2
            },
            {
                "id": 39,
                "offer_id": "All Offers",
                "type": 6,
                "value": "aff_sub5",
                "list_type": 1
            },
            {
                "id": 42,
                "offer_id": "19650",
                "type": 4,
                "value": "aff_sub3",
                "list_type": 2
            },
            {
                "id": 37,
                "offer_id": "526107",
                "type": 1,
                "value": "wqw",
                "list_type": 1
            }
        ],
        "totalPages": 1,
        "totalRows": 4,
        "offset": 1,
        "limit": 20
    }
}
```
